Package com.xebialabs.xlrelease.domain.delivery

## Class StageTrackedItem

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.delivery.StageTrackedItem

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false)
      public class StageTrackedItem
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StageTrackedItem()` |
    `StageTrackedItem​(java.lang.String trackedItemId)` |
    `StageTrackedItem​(java.lang.String trackedItemId, TrackedItemStatus status)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addReleaseId​(java.lang.String releaseId)` |
    `void` | `addReleaseIds​(java.util.Set<java.lang.String> releaseIds)` |
    `java.util.Set<java.lang.String>` | `getReleaseIds()` |
    `TrackedItemStatus` | `getStatus()` |
    `java.lang.String` | `getTrackedItemId()` |
    `void` | `setStatus​(TrackedItemStatus status)` |
    `void` | `setTrackedItemId​(java.lang.String trackedItemId)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StageTrackedItem

          public StageTrackedItem()

    - #### StageTrackedItem

          public StageTrackedItem​(java.lang.String trackedItemId)

    - #### StageTrackedItem

          public StageTrackedItem​(java.lang.String trackedItemId,
                                  TrackedItemStatus status)

  - ### Method Detail

    - #### getStatus

          public TrackedItemStatus getStatus()

    - #### setStatus

          public void setStatus​(TrackedItemStatus status)

    - #### getTrackedItemId

          public java.lang.String getTrackedItemId()

    - #### setTrackedItemId

          public void setTrackedItemId​(java.lang.String trackedItemId)

    - #### addReleaseId

          public boolean addReleaseId​(java.lang.String releaseId)

    - #### addReleaseIds

          public void addReleaseIds​(java.util.Set<java.lang.String> releaseIds)

    - #### getReleaseIds

          public java.util.Set<java.lang.String> getReleaseIds()